declare class HyperFunctionComponent {
    constructor(container: HTMLDivElement, props: HfcProps);
    static interface: {
        attrs?: Record<string, any>;
        events?: Record<string, any>;
        slots?: Record<string, any>;
    };
    connectedCallback(): void;
    attributeChangedCallback(type: "attr" | "event" | "slot", name: string, oldValue: any, newValue: any): void;
    disconnectedCallback(): void;
}
declare interface HfcProps {
    attrs?: Record<string, any>;
    events?: Record<string, (args: any) => void>;
    slots?: Record<string, (container: HTMLElement, args: any) => void>;
}
export default function toVueComponent(HFC: typeof HyperFunctionComponent, lowercase?: boolean): import("vue").DefineComponent<Readonly<{
    [x: string]: any;
}>, () => (import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[])[], unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    [x: string]: unknown;
} & {
    [x: string]: any;
} & {}>, {
    [x: string]: any;
}>;
export {};
